Opened 10 years ago

Closed 10 years ago

Last modified 6 years ago

#4518 closed Bug report (rejected)

Last Modified Date does not display correctly

Reported by: George Owned by:
Priority: normal Component: FileZilla Client
Keywords: Last Modified Cc:
Component version: Operating system type: Windows
Operating system version: Windows XP SP3

Description

FileZilla client does not appear to interpret large directories correctly. Instead of showing the correct date it will show an erroneous date like 1/1/970. This only appears to be happening on larger directories that are 15 meg in size.

Windows XP SP3
Version: 3.2.4.1

Build information:

Compiled for: i586-pc-mingw32msvc
Compiled on: x86_64-unknown-linux-gnu
Build date: 2009-04-27
Compiled with: i586-mingw32msvc-gcc (GCC) 4.2.1-sjlj (mingw32-2)
Compiler flags: -g -O2 -Wall -g -fexceptions

Dependencies:

wxWidgets: 2.8.10
GnuTLS: 2.6.4

Attachments (1)

FileZillaError.png (6.3 KB) - added by George 10 years ago.

Download all attachments as: .zip

Change History (4)

Changed 10 years ago by George

Attachment: FileZillaError.png added

comment:1 Changed 10 years ago by Tim Kosse

Status: newmoreinfo

Please attach complete logs with "Show raw directory listings" in the settings dialog.

comment:2 Changed 10 years ago by geeves

Status: moreinfonew

Actually, I'm getting something similar, but it doesn't appear to have anything to do with size of directories. For windows VMs it's using the creation date as the epoch.

For instance, we created a new VM on May 22. So files uploaded today show January 17, 1970

For Unix, RHEL and Solaris, the timestamp is fine. Here are the logs comparing WinVM and Solaris with both 3.2.4.1 and 3.2.5 rc

2009-06-09 17:31:28 1163 0 Status: Connecting to winvm3...
2009-06-09 17:31:28 1163 0 Response: fzSftp started
2009-06-09 17:31:28 1163 0 Command: open "geeves@winvm3" 22
2009-06-09 17:31:29 1163 0 Command: Pass: *
2009-06-09 17:31:30 1163 0 Status: Connected to winvm3..org
2009-06-09 17:31:30 1163 0 Status: Retrieving directory listing...
2009-06-09 17:31:30 1163 0 Command: pwd
2009-06-09 17:31:30 1163 0 Response: Current directory is: "/"
2009-06-09 17:31:30 1163 0 Command: ls
2009-06-09 17:31:30 1163 0 Status: Listing directory /
2009-06-09 17:31:32 1163 0 Status: Calculating timezone offset of server...
2009-06-09 17:31:32 1163 0 Command: mtime "anywhere"
2009-06-09 17:31:32 1163 0 Response: 4294942095
2009-06-09 17:31:32 1163 0 Status: Timezone offsets: Server: 1243096200 seconds. Local: -14400 seconds. Difference: -1243110600 seconds.
2009-06-09 17:31:32 1163 0 Status: Directory listing successful
2009-06-09 17:35:50 1163 0 Status: Disconnected from server
2009-06-09 17:35:50 1163 0 Status: Connecting to websunsolaris1...
2009-06-09 17:35:50 1163 0 Response: fzSftp started
2009-06-09 17:35:50 1163 0 Command: open "geeves@websunsolaris1" 22
2009-06-09 17:35:52 1163 0 Command: Pass:
2009-06-09 17:35:52 1163 0 Status: Connected to websunsolaris1..org
2009-06-09 17:35:53 1163 0 Status: Retrieving directory listing...
2009-06-09 17:35:53 1163 0 Command: pwd
2009-06-09 17:35:53 1163 0 Response: Current directory is: "/home/g/geeves"
2009-06-09 17:35:53 1163 0 Command: ls
2009-06-09 17:35:53 1163 0 Status: Listing directory /home/g/geeves
2009-06-09 17:35:54 1163 0 Status: Calculating timezone offset of server...
2009-06-09 17:35:54 1163 0 Command: mtime "Mail"
2009-06-09 17:35:54 1163 0 Response: 1244252352
2009-06-09 17:35:54 1163 0 Status: Timezone offsets: Server: -25200 seconds. Local: -14400 seconds. Difference: 10800 seconds.
2009-06-09 17:35:54 1163 0 Status: Directory listing successful

comment:3 Changed 10 years ago by Tim Kosse

Resolution: rejected
Status: newclosed

Broken server.

The SFTP specifications require that the modification time is sent in seconds since 1970-01-01 00:00 UTC. Read http://tools.ietf.org/html/draft-ietf-secsh-filexfer-02

Note: See TracTickets for help on using tickets.